Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.japisoft.xmlpad
Class ComponentFactory

    java.lang.Object
      |
      +--com.japisoft.xmlpad.ComponentFactory

public class ComponentFactory
extends java.lang.Object

Here a factory for elements used by the XMLContainer. It should be overrided for custom swing component.

If you wish to override any component for subclasses or any default attributes changes, you will have to build a sub XMLContainer and build it thanks to the protected constructor with the `ComponentFactory` parameter.

Version:
  1.0
Author:
  (c) JAPISOFT 2002-2003
See Also:
  `XMLContainer`

Constructor Summary
`ComponentFactory()`

Method Summary
`javax.swing.JSplitPane` | `getNewHorizontalSplitPane()` create an horizontal oriented splitpane
`javax.swing.JPanel` | `getNewPanel()` create a panel for editor and tree
`javax.swing.JScrollPane` | `getNewScrollPane()` create a scrollpane for editor or tree
`javax.swing.JToolBar` | `getNewToolBar()` create a toolBar
`javax.swing.JTree` | `getNewTree()` create a tee
`javax.swing.JSplitPane` | `getNewVerticalSplitPane()` create a vertical oriented splitpane
`XMLEditor` | `getNewXMLEditor()` create a new xmleditor

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentFactory

    public ComponentFactory()

Method Detail

### getNewScrollPane

    public javax.swing.JScrollPane getNewScrollPane()

  create a scrollpane for editor or tree

### getNewPanel

    public javax.swing.JPanel getNewPanel()

  create a panel for editor and tree

### getNewVerticalSplitPane

    public javax.swing.JSplitPane getNewVerticalSplitPane()

  create a vertical oriented splitpane

### getNewHorizontalSplitPane

    public javax.swing.JSplitPane getNewHorizontalSplitPane()

  create an horizontal oriented splitpane

### getNewTree

    public javax.swing.JTree getNewTree()

  create a tee

### getNewToolBar

    public javax.swing.JToolBar getNewToolBar()

  create a toolBar

### getNewXMLEditor

    public XMLEditor getNewXMLEditor()

  create a new xmleditor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD